package com.mycompany.springdemo.services;

import com.mycompany.springdemo.dao.CustomerDAO;
import com.mycompany.springdemo.entities.Customer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author adamekp
 */
@Service
public class CustomerServiceImpl implements CustomerService {

	@Autowired
	@Qualifier("customerDAOJpa") // optional: denotes which implementation of CustomerDAO should be used
	private CustomerDAO customerDAO;

	@Transactional
	public void createCustomer(Customer customer) {
		customerDAO.create(customer);
	}

}
